#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 structured
version:              0.1
visibility:           public
id:                   structured-0.1-Lp6Y7HmTkbo8P6fCkorMTl
key:                  structured-0.1-Lp6Y7HmTkbo8P6fCkorMTl
license:              BSD-3-Clause
maintainer:           Oleg Grenrus <oleg.grenrus@iki.fi>
author:               Oleg Grenrus <oleg.grenrus@iki.fi>
synopsis:             Structure (hash) of your data types
description:
    Calculate the hash of a data structure.
    It can be used as a magic number for the serialization formats.
    See <https://hackage.haskell.org/package/binary-tagged binary-tagged>
    for a @binary@ bindings.

category:             Data
abi:                  c80d881b2d3c9b9f793f2290ac01097e
exposed:              True
exposed-modules:      Data.Structured Data.Structured.Internal
hidden-modules:       Data.Structured.MD5
import-dirs:          /usr/lib/ghc-8.10.1/site-local/structured-0.1
library-dirs:         /usr/lib/ghc-8.10.1/site-local/structured-0.1
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/x86_64-linux-ghc-8.10.1/structured-0.1
hs-libraries:         HSstructured-0.1-Lp6Y7HmTkbo8P6fCkorMTl
depends:
    aeson-1.5.2.0-9RTw8ryGp7WIZEOMbLe2St array-0.5.4.0 base-4.14.0.0
    base16-bytestring-0.1.1.7-IF3oDT09hOj5uLqgHsC3Xr binary-0.8.8.0
    bytestring-0.10.10.0 containers-0.6.2.1
    hashable-1.3.0.0-KxLg31LAX1D630cavk7ERb
    scientific-0.3.6.2-KV9qEzQmSjuErx2uTg1kor
    tagged-0.8.6-6GC8EUw1ctH7ZAzzvpqZ7j text-1.2.3.2
    time-compat-1.9.3-8BZfsdyaFPz863yzD8lTTT transformers-0.5.6.2
    unordered-containers-0.2.11.0-Gy9Rkzl4w678AYU9aLwMbs
    uuid-types-1.0.3-KAQ2pyd1T6E4xUQYIlsu82
    vector-0.12.1.2-2820kU4E8Rq2FpOG9Xf2aE

haddock-interfaces:   /usr/share/doc/haskell-structured/html/structured.haddock
haddock-html:         /usr/share/doc/haskell-structured/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

